unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, AcColorGrid, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    AcColorGrid1: TAcColorGrid;
    GroupBox2: TGroupBox;
    AcColorLine1: TAcColorLine;
    sBar: TStatusBar;
    procedure FormCreate(Sender: TObject);
    procedure AcColorGrid1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure AcColorGrid1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure AcColorGrid1MouseEnter(Sender: TObject);
    procedure AcColorGrid1MouseLeave(Sender: TObject);
    procedure AcColorLine1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure AcColorLine1MouseEnter(Sender: TObject);
    procedure AcColorLine1MouseLeave(Sender: TObject);
    procedure AcColorLine1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
    procedure SetVisible(AVisible: Boolean);
    procedure ShowSelectedColor(Source: TCustomAcColorGrid);
    procedure ShowCurrentColor(Source: TCustomAcColorGrid);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  SetVisible(False);
  ShowSelectedColor(AcColorGrid1);
  ShowCurrentColor(AcColorGrid1);
end;

procedure TForm1.AcColorGrid1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  ShowCurrentColor(Sender as TCustomAcColorGrid);
end;

procedure TForm1.AcColorGrid1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  AcColorLine1.Colors.SelectedColor:= 0;
  ShowSelectedColor(Sender as TCustomAcColorGrid);
end;

procedure TForm1.ShowCurrentColor(Source: TCustomAcColorGrid);
begin
  with Source.Colors, sBar do
  begin
    Panels[0].Text:= Format(' : %d', [CurrentColor]);
    Panels[2].Text:= Format('R: %d', [GetRValue(CurrentTrueColor)]);
    Panels[3].Text:= Format('G: %d', [GetGValue(CurrentTrueColor)]);
    Panels[4].Text:= Format('B: %d', [GetBValue(CurrentTrueColor)]);
  end;
end;

procedure TForm1.ShowSelectedColor(Source: TCustomAcColorGrid);
begin
  with Source.Colors, sBar do
    Panels[1].Text:= Format(' : %d', [SelectedColor]);
end;

procedure TForm1.SetVisible(AVisible: Boolean);
begin
  sBar.Visible:= AVisible;
end;

procedure TForm1.AcColorGrid1MouseEnter(Sender: TObject);
begin
  SetVisible(True);
end;

procedure TForm1.AcColorGrid1MouseLeave(Sender: TObject);
begin
  SetVisible(False);
end;

procedure TForm1.AcColorLine1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  AcColorGrid1.Colors.SelectedColor:= 0;
  ShowSelectedColor(Sender as TCustomAcColorGrid);
end;

procedure TForm1.AcColorLine1MouseEnter(Sender: TObject);
begin
  SetVisible(True);
end;

procedure TForm1.AcColorLine1MouseLeave(Sender: TObject);
begin
  SetVisible(False);
end;

procedure TForm1.AcColorLine1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  ShowCurrentColor(Sender as TCustomAcColorGrid);
end;

end.
 